{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function set_property, security_check, end_window, send_event\r\ndeclare function center_window, getwindow, fieldcount\r\ndeclare subroutine set_list_box_data, security_err_msg, rlist, sendmessage\r\n$insert security_rights_equ\r\n$insert rlist_equates\r\n$insert lsl_common\r\n\r\nVoid = set_property( @window, '@ChoosingMultiPSN', false$ )\r\n* FLAG IF SET TO TRUE WILL SET ARRAY PROPERTY OF PREV_PSNS OTHERWISE WILL SET PROD_SPEC_ID\r\n* THIS FLAG IS CHECKED FROM THE PROD_SPEC WINDOW CLICK EVENT FOR RETURN PSN TO QUOTE\r\nif index( CreateParam, 'Choosing', 1 ) or index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nVoid = set_property( @window, '@CUST_NO', '' )\r\nif index( CreateParam,'Choosing', 1 ) then\r\n    PrevWindow = field( CreateParam, '*', 3 )\r\n    Void = set_property( @window, '@PrevWindow', PrevWindow )\r\n    .ret_quote_button->visible = 1\r\n    Ttext = .ret_quote_button->text\r\n    Ttext := ' ':PrevWindow\r\n    .ret_quote_button->text = Ttext\r\nend \r\nKeys = field( CreateParam, '*', 1 )\r\nif Keys then\r\n   if fieldcount( Keys, @vm ) > 1 then\r\n\t   * need to send to qbf\r\n\t   convert @vm to @fm in Keys\r\n\t   Void = set_property( @window, 'QBFLIST', Keys )\r\n\t   Void = set_property( @window, '@NoRead', 1 ) \r\n\t   .quote_no->text = Keys<1>\r\n\t   Void = send_event( @window, 'READ' )\r\n\t   Void = set_property( @window, '@NoRead', 0 )\r\n   end else\r\n       .quote_no->text = Keys\r\n       Voic = send_event( @window:'.QUOTE_NO', 'LOSTFOCUS', '' )\r\n   end\r\nend \r\n\r\nif security_check( 'Quote', Read$ ) then\r\n   set_list_box_data( @window )\r\nend else\r\n   security_err_msg( 'Quote', Read$ )\r\n   Void = end_window( @window, '' )\r\n   return 0\r\nend\r\nif security_check( 'Quote', Edit$ ) else\r\n   security_err_msg( 'Quote', Edit$ )\r\nend\r\nVoid = set_property( @window, '@NoRead', 0 )\r\n.sigs_req_text->text = xlate( 'CONFIG', 'QUOTE_SIGS', 3, 'X' )+0 \r\nRETURN 0"
        }
    }
}